Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# _Lib3dsMaterial Struct Reference
[Materials]

`#include <material.h>`

Collaboration diagram for _Lib3dsMaterial:

[legend]
List of all members.

## Public Attributes
Lib3dsUserData | user
Lib3dsMaterial * | next
char | name [64]
Lib3dsRgba | ambient
Lib3dsRgba | diffuse
Lib3dsRgba | specular
Lib3dsFloat | shininess
Lib3dsFloat | shin_strength
Lib3dsBool | use_blur
Lib3dsFloat | blur
Lib3dsFloat | transparency
Lib3dsFloat | falloff
Lib3dsBool | additive
Lib3dsBool | use_falloff
Lib3dsBool | self_illum
Lib3dsIntw | shading
Lib3dsBool | soften
Lib3dsBool | face_map
Lib3dsBool | two_sided
Lib3dsBool | map_decal
Lib3dsBool | use_wire
Lib3dsBool | use_wire_abs
Lib3dsFloat | wire_size
Lib3dsTextureMap | texture1_map
Lib3dsTextureMap | texture1_mask
Lib3dsTextureMap | texture2_map
Lib3dsTextureMap | texture2_mask
Lib3dsTextureMap | opacity_map
Lib3dsTextureMap | opacity_mask
Lib3dsTextureMap | bump_map
Lib3dsTextureMap | bump_mask
Lib3dsTextureMap | specular_map
Lib3dsTextureMap | specular_mask
Lib3dsTextureMap | shininess_map
Lib3dsTextureMap | shininess_mask
Lib3dsTextureMap | self_illum_map
Lib3dsTextureMap | self_illum_mask
Lib3dsTextureMap | reflection_map
Lib3dsTextureMap | reflection_mask
Lib3dsAutoReflMap | autorefl_map

## Detailed Description

Material

## Member Data Documentation

Lib3dsBool _Lib3dsMaterial::additive

Lib3dsRgba _Lib3dsMaterial::ambient

Lib3dsAutoReflMap _Lib3dsMaterial::autorefl_map

Lib3dsFloat _Lib3dsMaterial::blur

Lib3dsTextureMap _Lib3dsMaterial::bump_map

Lib3dsTextureMap _Lib3dsMaterial::bump_mask

Lib3dsRgba _Lib3dsMaterial::diffuse

Lib3dsBool _Lib3dsMaterial::face_map

Lib3dsFloat _Lib3dsMaterial::falloff

Lib3dsBool _Lib3dsMaterial::map_decal

char _Lib3dsMaterial::name[64]

Lib3dsMaterial* _Lib3dsMaterial::next

Lib3dsTextureMap _Lib3dsMaterial::opacity_map

Lib3dsTextureMap _Lib3dsMaterial::opacity_mask

Lib3dsTextureMap _Lib3dsMaterial::reflection_map

Lib3dsTextureMap _Lib3dsMaterial::reflection_mask

Lib3dsBool _Lib3dsMaterial::self_illum

Lib3dsTextureMap _Lib3dsMaterial::self_illum_map

Lib3dsTextureMap _Lib3dsMaterial::self_illum_mask

Lib3dsIntw _Lib3dsMaterial::shading

Lib3dsFloat _Lib3dsMaterial::shin_strength

Lib3dsFloat _Lib3dsMaterial::shininess

Lib3dsTextureMap _Lib3dsMaterial::shininess_map

Lib3dsTextureMap _Lib3dsMaterial::shininess_mask

Lib3dsBool _Lib3dsMaterial::soften

Lib3dsRgba _Lib3dsMaterial::specular

Lib3dsTextureMap _Lib3dsMaterial::specular_map

Lib3dsTextureMap _Lib3dsMaterial::specular_mask

Lib3dsTextureMap _Lib3dsMaterial::texture1_map

Lib3dsTextureMap _Lib3dsMaterial::texture1_mask

Lib3dsTextureMap _Lib3dsMaterial::texture2_map

Lib3dsTextureMap _Lib3dsMaterial::texture2_mask

Lib3dsFloat _Lib3dsMaterial::transparency

Lib3dsBool _Lib3dsMaterial::two_sided

Lib3dsBool _Lib3dsMaterial::use_blur

Lib3dsBool _Lib3dsMaterial::use_falloff

Lib3dsBool _Lib3dsMaterial::use_wire

Lib3dsBool _Lib3dsMaterial::use_wire_abs

Lib3dsUserData _Lib3dsMaterial::user

Lib3dsFloat _Lib3dsMaterial::wire_size

The documentation for this struct was generated from the following file:

- material.h